{% load static %}

<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <link rel="stylesheet" href="{% static "askl/css/blog_custom.css" %}">
    <link rel="stylesheet" href="{% static "askl/css/bootstrap.css" %}">
    <link rel="stylesheet" href="{% static "askl/css/googlefonts.css" %}">
  </head>

  <body>
    <div class="container">
      <header class="py-3">
        <div class="row flex-nowrap justify-content-between align-items-center">
          <div class="col-4 text-left" style="display: inline; white-space: nowrap;">
            <a class="blog-header-logo text-dark" href="/">askl.</a>
          </div>
          {% block header-user%}
            {% if user.is_authenticated %}
              {% include "user/authenticated_block.html" %}
            {% else %}
              {% include "user/not_authenticated_block.html" %} 
            {% endif %}
          {% endblock %}
        </div>
      </header>
    </div>

    <main role="main" class="container main-block">
    <div class="row">
        <div class="col-md-8 question-main ">
          <h3 class="main-row-header">
            {{ main_title | default:"Questions"}}
          </h3>        
        {% block main-block%}
        {% endblock %}
    </div>

    <aside class="col-md-4 question-sidebar">
        <div class="tags-bar p-3">
          <h4 class="font-italic">Popular tags</h4>
          <ol class="list-unstyled mb-0">
              {% for tag in base_info.popular_tags %}
                <li><a href="{% url 'tag_view' tag %}">{{tag}}</a></li>
              {% endfor %}
          </ol>
        </div>

        <div class="popular-members p-3">
          <h4 class="font-italic">Popular members</h4>
          <ol class="list-unstyled">
              {% for user in base_info.popular_users %}
                <li><a href="#">{{user}}</a></li>
              {% endfor %}
          </ol>
        </div>
    </aside>

    </div>
    </main>

    <footer class="container">
      <div class="border-top pt-3">
      <p>Tekhnopark 2018.2 web project of Michael Lozhechko</p>
      </div>
    </footer>

  </body>
</html>